Connected accounts

Get a connected account

GET

/api/v1/connected-accounts/{connectedAccountId}

Path parameters

connectedAccountId

required

string · uuid

Connected account id

Response

200Account and usage.

connectedAccount

object

id

string · uuid

ownerUserId

string · uuid

ownerOrgId

string · uuid

channel

"linkedin" | "instagram"

status

"active" | "paused" | "auth_required" | "disconnected" | "connecting" | "suspended"

properties

object

displayName

string | null

channelIdentity

string | null

imageUrl

string | null

proxy

object | null

limitOverrides

object | null

nextActionAt

string · date-time | null

pausedUntil

string · date-time | null

consecutiveFailures

integer

lastErrorKind

string | null

createdAt

string · date-time

updatedAt

string · date-time

updatedBy

string · uuid | null

deletedAt

string · date-time | null

deletedBy

string · uuid | null

canUse

boolean

Whether you can run campaigns and send messages as this account. Its owner, or anyone it is shared with, can. Use only accounts where this is true.

usage

object[]

requestId

string · uuid

Id of this request, for support and troubleshooting

Errors

  • 400: Bad request
  • 401: Unauthorized: missing or invalid API key
  • 403: Forbidden
  • 404: Not found
  • 422: Invalid request payload

Search docs

Search documentation, API reference, and MCP tools

We use cookies to enhance your experience on Needle and keep your data secure. Privacy Policy